# Class SocketIoModule

#### Deprecated

use the provideSocketIo function instead

- Defined in lib/socket-io.module.ts:22

#####
Index

### Constructors

constructor

### Methods

forRoot

## Constructors

### constructor

- new SocketIoModule(): SocketIoModule

- #### Returns SocketIoModule

## Methods

### `Static` forRoot

- forRoot(config): ModuleWithProviders<SocketIoModule>

- #### Parameters

  - config: SocketIoConfig

  #### Returns ModuleWithProviders<SocketIoModule>

  - Defined in lib/socket-io.module.ts:23